Bug 1003283 - [abrt] gparted-0.16.1-2.fc19: GParted::Win_GParted::activate_undo: Process /usr/sbin/gpartedbin was killed by signal 11 (SIGSEGV)
[abrt] gparted-0.16.1-2.fc19: GParted::Win_GParted::activate_undo: Process /u...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gparted (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:d858cedacb1e2db76dea2afaa2a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-01 12:04 EDT by Andre Dierker
Modified: 2014-03-07 01:30 EST (History)
1 user (show)

See Also:
Fixed In Version: gparted-0.18.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-07 01:30:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (170.42 KB, text/plain)
2013-09-01 12:04 EDT, Andre Dierker
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-01 12:04 EDT, Andre Dierker
no flags Details
File: core_backtrace (15.84 KB, text/plain)
2013-09-01 12:05 EDT, Andre Dierker
no flags Details
File: dso_list (8.89 KB, text/plain)
2013-09-01 12:05 EDT, Andre Dierker
no flags Details
File: environ (305 bytes, text/plain)
2013-09-01 12:05 EDT, Andre Dierker
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-01 12:05 EDT, Andre Dierker
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-01 12:05 EDT, Andre Dierker
no flags Details
File: maps (41.63 KB, text/plain)
2013-09-01 12:05 EDT, Andre Dierker
no flags Details
File: open_fds (1018 bytes, text/plain)
2013-09-01 12:05 EDT, Andre Dierker
no flags Details
File: proc_pid_status (910 bytes, text/plain)
2013-09-01 12:05 EDT, Andre Dierker
no flags Details
File: var_log_messages (315 bytes, text/plain)
2013-09-01 12:05 EDT, Andre Dierker
no flags Details

  None (edit)
Description Andre Dierker 2013-09-01 12:04:52 EDT
Version-Release number of selected component:
gparted-0.16.1-2.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/sbin/gpartedbin
crash_function: GParted::Win_GParted::activate_undo
executable:     /usr/sbin/gpartedbin
kernel:         3.10.9-200.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 GParted::Win_GParted::activate_undo at Win_GParted.cc:2538
 #1 operator() at /usr/include/sigc++-2.0/sigc++/functors/slot.h:440
 #2 Glib::SignalProxyNormal::slot0_void_callback at signalproxy.cc:95
 #6 g_signal_emit_by_name at gsignal.c:3424
 #7 _g_closure_invoke_va at gclosure.c:840
 #10 gtk_real_button_released at gtkbutton.c:1712
 #11 _g_closure_invoke_va at gclosure.c:840
 #14 gtk_button_button_release at gtkbutton.c:1604
 #15 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #20 gtk_widget_event_internal at gtkwidget.c:5017
Comment 1 Andre Dierker 2013-09-01 12:04:56 EDT
Created attachment 792613 [details]
File: backtrace
Comment 2 Andre Dierker 2013-09-01 12:04:59 EDT
Created attachment 792614 [details]
File: cgroup
Comment 3 Andre Dierker 2013-09-01 12:05:03 EDT
Created attachment 792615 [details]
File: core_backtrace
Comment 4 Andre Dierker 2013-09-01 12:05:06 EDT
Created attachment 792616 [details]
File: dso_list
Comment 5 Andre Dierker 2013-09-01 12:05:09 EDT
Created attachment 792617 [details]
File: environ
Comment 6 Andre Dierker 2013-09-01 12:05:12 EDT
Created attachment 792618 [details]
File: exploitable
Comment 7 Andre Dierker 2013-09-01 12:05:15 EDT
Created attachment 792619 [details]
File: limits
Comment 8 Andre Dierker 2013-09-01 12:05:19 EDT
Created attachment 792620 [details]
File: maps
Comment 9 Andre Dierker 2013-09-01 12:05:22 EDT
Created attachment 792621 [details]
File: open_fds
Comment 10 Andre Dierker 2013-09-01 12:05:24 EDT
Created attachment 792622 [details]
File: proc_pid_status
Comment 11 Andre Dierker 2013-09-01 12:05:27 EDT
Created attachment 792623 [details]
File: var_log_messages
Comment 12 Fedora Update System 2014-02-21 01:26:17 EST
gparted-0.18.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gparted-0.18.0-1.fc19
Comment 13 Fedora Update System 2014-02-22 13:14:26 EST
Package gparted-0.18.0-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gparted-0.18.0-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2930/gparted-0.18.0-1.fc19
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2014-03-07 01:30:04 EST
gparted-0.18.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.